| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Attributes | Properties | List of all members
IG.Neural.MappingDefinitionElement Class Reference

Base class for input or output data element mapping definition. More...

Inheritance diagram for IG.Neural.MappingDefinitionElement:
[legend]

## Public Member Functions
| MappingDefinitionElement (int originalElementIndex, int mappedElementIndex, string originalName, string originalTitle, string originalDescription)
| Constructor. More...
| MappingDefinitionElement (string name)
| Constructor. Element index is unknown, there is no element description. More...
| MappingDefinitionElement (string name, string title)
| Constructor. Element index is unknown. More...
| MappingDefinitionElement (string name, string title, string description)
| Constructor. Element index is unknown. More...

## Protected Attributes
int | _originalElementIndex = -1
bool | _originalElementindexSpecified = false
int | _mappedElementIndex = -1
bool | _mappedElementindexSpecified = false
string | _originalName
string | _orirginalTitle
string | _originalDescription

## Properties
virtual int | OriginalElementIndex`[get, set]`
| Specifies the original index of the element described by the mapped definition, within the data vextor (either input or output). More...
virtual bool | OriginalElementIndexSpecified`[get, set]`
| Specifies whether original element index is specified for the data element described by the mapped definition. More...
virtual int | MappedElementIndex`[get, set]`
| Specifies the mapped index of the element described by the current definition, within the data vextor (either input or output). More...
virtual bool | MappedElementIndexSpecified`[get, set]`
| Specifies whether mapped element index is specified for the data element described by the mapped definition. More...
virtual string | OriginalName`[get, set]`
| Unique name of the data element described by the mapped definition. Considered a kind of variable name that distinguishes between data by short names. More...
virtual string | OriginalTitle`[get, set]`
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
virtual string | OriginalDescription`[get, set]`
| Describes the meaning of a data element used as part of neural network input or output data. More...

## Detailed Description

Base class for input or output data element mapping definition.

$A Igor Jul 19; tako78 Jul 19

## Constructor & Destructor Documentation

IG.Neural.MappingDefinitionElement.MappingDefinitionElement | ( | int | originalElementIndex,
|  | int | mappedElementIndex,
|  | string | originalName,
|  | string | originalTitle,
|  | string | originalDescription
| ) |  |
| inline

Constructor.

Parameters

  originalElementIndex | Index of the original input or output data element specified by the definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  mappedElementIndex | Index of the mapped input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  originalName | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  originalTitle | Short descriptive title (like name, but can contain spaces and special characters).
  originalDescription | Element description. Can be an arbvitrary string.

$A Igor Jul 19; tako78 Jul 19

IG.Neural.MappingDefinitionElement.MappingDefinitionElement | ( | string | name | ) |
| inline

Constructor. Element index is unknown, there is no element description.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

$A Igor Jul 19; tako78 Jul 19

IG.Neural.MappingDefinitionElement.MappingDefinitionElement | ( | string | name,
|  | string | title
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

$A Igor Jul 19; tako78 Jul 19

IG.Neural.MappingDefinitionElement.MappingDefinitionElement | ( | string | name,
|  | string | title,
|  | string | description
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

$A Igor Jul 19; tako78 Jul 19

## Member Data Documentation

int IG.Neural.MappingDefinitionElement._originalElementIndex = -1
| protected

bool IG.Neural.MappingDefinitionElement._originalElementindexSpecified = false
| protected

int IG.Neural.MappingDefinitionElement._mappedElementIndex = -1
| protected

bool IG.Neural.MappingDefinitionElement._mappedElementindexSpecified = false
| protected

string IG.Neural.MappingDefinitionElement._originalName
| protected

string IG.Neural.MappingDefinitionElement._orirginalTitle
| protected

string IG.Neural.MappingDefinitionElement._originalDescription
| protected

## Property Documentation

virtual int IG.Neural.MappingDefinitionElement.OriginalElementIndex
| get set

Specifies the original index of the element described by the mapped definition, within the data vextor (either input or output).

If not specified, then by agreement the OriginalElementIndex is set to -1. Getter of this property automatically set OriginalElementIndexSpecified flag to false if the property is set to less than 0, and to true otherwise.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Neural.MappingDefinition.IsInputDataConsistent(), IG.Neural.MappingDefinition.IsOutputDataConsistent(), IG.Neural.DataMapperSimple.MapInput(), and IG.Neural.DataMapperSimple.MapOutput().

virtual bool IG.Neural.MappingDefinitionElement.OriginalElementIndexSpecified
| get set

Specifies whether original element index is specified for the data element described by the mapped definition.

If not specified, then by agreement the OriginalElementIndex is set to -1. Getter of this property automatically set OriginalElementIndex to -1 if the property is set to false.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain().

virtual int IG.Neural.MappingDefinitionElement.MappedElementIndex
| get set

Specifies the mapped index of the element described by the current definition, within the data vextor (either input or output).

If not specified, then by agreement the MappedElementIndex is set to -1. Getter of this property automatically set MappedElementIndexSpecified flag to false if the property is set to less than 0, and to true otherwise.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Neural.MappingDefinition.IsInputDataConsistent(), and IG.Neural.MappingDefinition.IsOutputDataConsistent().

virtual bool IG.Neural.MappingDefinitionElement.MappedElementIndexSpecified
| get set

Specifies whether mapped element index is specified for the data element described by the mapped definition.

If not specified, then by agreement the MappedElementIndex is set to -1. Getter of this property automatically set MappedElementIndex to -1 if the property is set to false.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain().

virtual string IG.Neural.MappingDefinitionElement.OriginalName
| get set

Unique name of the data element described by the mapped definition. Considered a kind of variable name that distinguishes between data by short names.

There is an agreement that element names should follow conventions for valid variable names in programming languages C++, C# and Java.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Neural.MappingDefinition.IsInputDataConsistent(), and IG.Neural.MappingDefinition.IsOutputDataConsistent().

virtual string IG.Neural.MappingDefinitionElement.OriginalTitle
| get set

A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain().

virtual string IG.Neural.MappingDefinitionElement.OriginalDescription
| get set

Describes the meaning of a data element used as part of neural network input or output data.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain().

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs